org.eclipse.jetty.server.session

## Class JDBCSessionManager.SessionData

- java.lang.Object
- - org.eclipse.jetty.server.session.JDBCSessionManager.SessionData

Enclosing class:
  JDBCSessionManager

    public class JDBCSessionManager.SessionData
    extends Object

SessionData Persistable data about a session.

### Constructor Summary

Constructors
Constructor and Description
`JDBCSessionManager.SessionData(String sessionId)`
`JDBCSessionManager.SessionData(String sessionId, Map<String,Object> attributes)`

### Method Summary

Methods
`long` `getAccessed()`
`protected Map<String,Object>` `getAttributeMap()`
`String` `getCanonicalContext()`
`long` `getCookieSet()`
`long` `getCreated()`
`long` `getExpiryTime()`
`String` `getId()`
`long` `getLastAccessed()`
`String` `getLastNode()`
`long` `getLastSaved()`
`long` `getMaxIdleMs()`
`protected String` `getRowId()`
`String` `getVirtualHost()`
`protected void` `setAccessed(long ms)`
`protected void` `setAttributeMap(Map<String,Object> map)`
`void` `setCanonicalContext(String str)`
`void` `setCookieSet(long ms)`
`protected void` `setCreated(long ms)`
`void` `setExpiryTime(long time)`
`void` `setLastAccessed(long ms)`
`void` `setLastNode(String node)`
`void` `setLastSaved(long time)`
`void` `setMaxIdleMs(long ms)`
`void` `setRowId(String rowId)`
`void` `setVirtualHost(String vhost)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JDBCSessionManager.SessionData

    public JDBCSessionManager.SessionData(String sessionId)

#### JDBCSessionManager.SessionData

    public JDBCSessionManager.SessionData(String sessionId,
                                  Map<String,Object> attributes)

### Method Detail

#### getId

    public String getId()

#### getCreated

    public long getCreated()

#### setCreated

    protected void setCreated(long ms)

#### getAccessed

    public long getAccessed()

#### setAccessed

    protected void setAccessed(long ms)

#### setMaxIdleMs

    public void setMaxIdleMs(long ms)

#### getMaxIdleMs

    public long getMaxIdleMs()

#### setLastAccessed

    public void setLastAccessed(long ms)

#### getLastAccessed

    public long getLastAccessed()

#### setCookieSet

    public void setCookieSet(long ms)

#### getCookieSet

    public long getCookieSet()

#### setRowId

    public void setRowId(String rowId)

#### getRowId

    protected String getRowId()

#### getAttributeMap

    protected Map<String,Object> getAttributeMap()

#### setAttributeMap

    protected void setAttributeMap(Map<String,Object> map)

#### setLastNode

    public void setLastNode(String node)

#### getLastNode

    public String getLastNode()

#### setCanonicalContext

    public void setCanonicalContext(String str)

#### getCanonicalContext

    public String getCanonicalContext()

#### getLastSaved

    public long getLastSaved()

#### setLastSaved

    public void setLastSaved(long time)

#### setExpiryTime

    public void setExpiryTime(long time)

#### getExpiryTime

    public long getExpiryTime()

#### setVirtualHost

    public void setVirtualHost(String vhost)

#### getVirtualHost

    public String getVirtualHost()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`